Get notification settings
Returns the authenticated user’s notification settings.
GET
/v1/user/notification-settings
const url = 'https://api.shiftsync.app/v1/user/notification-settings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.shiftsync.app/v1/user/notification-settings \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The caller’s notification settings
Media typeapplication/json
object
friendRequestEmail
boolean
friendRequestPush
boolean
Example
{ "friendRequestEmail": true, "friendRequestPush": true}